ggiSetSplitline(3)

NAME
ggiSetSplitline : Set the hardware split line feature

SYNOPSIS
#include <ggi/misc.h>
int ggiSetSplitline(ggi_visual_t vis, int y);

DESCRIPTION
Original VGA adaptors in order to be efficient when displaying vertically scrolling scenery implemented a feature that, when used in combination with the display origin, could cause the screen to wrap. This essentially means you can take the framebuffer and seamlessly join the top edge to the bottom edge, creating a cylinder of data that you could scroll up or down without actually performing memory move operations. This functions sets the y coordinate at which the screen wraps back.

RETURN VALUE
0 for OK, otherwise an ggi-error(3) code.